bdi4jade.belief

## Class PersistentBelief<T>

- java.lang.Object
- - bdi4jade.core.MetadataElementImpl
  - - bdi4jade.belief.AbstractBelief<T>
    - - bdi4jade.belief.PersistentBelief<T>

- All Implemented Interfaces:
    Belief<T>, MetadataElement, jade.content.Concept, jade.content.Term, java.io.Serializable

      public class PersistentBelief<T>
      extends AbstractBelief<T>

  This class extends the `Belief` and represents a persistent belief, which is persisted in a permanent memory. This class has not been implemented yet.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `value`

    - ### Fields inherited from class bdi4jade.core.MetadataElementImpl

      `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentBelief(java.lang.String name)` Initializes a belief with its name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue()` Not implemented yet.
    `protected void` | `updateValue(T value)` Not implemented yet.

    - ### Methods inherited from class bdi4jade.belief.AbstractBelief

      `addBeliefBase, equals, getBeliefBases, getName, hashCode, notifyBeliefBases, removeBeliefBase, setName, setValue, toString`

    - ### Methods inherited from class bdi4jade.core.MetadataElementImpl

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Field Detail

    - #### value

          protected T value

  - ### Constructor Detail

    - #### PersistentBelief

          public PersistentBelief(java.lang.String name)

      Initializes a belief with its name.
      Parameters:
        `name` - the belief name.

  - ### Method Detail

    - #### getValue

          public T getValue()

      Not implemented yet.
      Returns:
        the belief value.
      See Also:
        `Belief.getValue()`

    - #### updateValue

          protected void updateValue(T value)

      Not implemented yet.
      Specified by:
        `updateValue` in class `AbstractBelief<T>`
      Parameters:
        `value` - the value to set.
      See Also:
        `Belief.setValue(java.lang.Object)`